Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Class InvalidQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.expression.InvalidQueryException

All Implemented Interfaces
  Serializable

    public class InvalidQueryException

extends RepositoryException

An exception thrown when an invalid query is given to the content search facility.

See Also
  Serialized Form

Constructor Summary
`InvalidQueryException(String message)`
`InvalidQueryException(String message, Throwable cause)`
`InvalidQueryException(String message, Throwable cause, boolean log)`
`InvalidQueryException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidQueryException

    public InvalidQueryException(String message)

### InvalidQueryException

    public InvalidQueryException(String message,
                                 Throwable cause)

### InvalidQueryException

    public InvalidQueryException(Throwable cause)

### InvalidQueryException

    public InvalidQueryException(String message,
                                 Throwable cause,
                                 boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.